Subject: Questions on payload types & niceness

From: John Goerzen <[email-masked]>
Date: Mon, 30 Oct 2023 17:07:00 -0500

Hi Sergey,

I created a very simple test NNCP packet with:

echo payload | /usr/bin/nncp-exec -cfg nncp1.hjson nncp3 testcmd arg1 arg2

I've been working to decode NNCP packets in Rust.  I've observed a few
oddities:

The niceness in the outer header (encrypted packet header) is 96, while
in the inner plain header it is 224.

Also, the payload type is 3 rather than 2.  I wonder if the payload
types start at 1 instead of 0?

Another random question: why is the niceness in both the outer
(encrypted) and inner (plain) headers?  When might it be different
between them?  Which one do the NNCP tools respect?

Thanks!

- John